TIFF2FAX(8C)

NAME
tiff2fax - convert TIFF for facsimile transmission by HylaFAX

SYNOPSIS
/var/spool/hylafax/bin/tiff2fax [ options ] file

DESCRIPTION
bin/tiff2fax takes TIFF input and generates a TIFF Class F image file suitable for facsimile transmission. It is usually invoked by the HylaFAX scheduler process, faxq(8C). The default implementation uses the tiffcheck(8C) program and tools from the freely available TIFF software distribution to implement the conversion operations.

This script can modify outgoing facsimile, such as watermarking, To do this create a shell script etc/FaxModify in the spooling area that alters the document.

OPTIONS
The following operations are recognized:

-1  Write Group 3 1D-encoded data to the output file.

-2  Write Group 3 2D-encoded data to the output file.

-3  Write Group 4 MMR-encoded data to the output file.

-m pages
    Set the maximum number of pages that are permitted in the output file. If more pages are present in the input document then abort processing.

-o file
    Write output to the specified file instead of the default foo.tif filename.

-w width
    Set the output page width, in pixels. By default, pages are 1728 pixels wide.

-l length
    Set the output page length in millimeters. By default, pages are 297 millimeters long.

-r vres
    Set the vertical resolution, in lines/inch, at which to image the POSTSCRIPT.

FILES
/usr/sbin/tiffcheck	TIFF file conversion examiner
/var/spool/hylafax/bin/ps2fax	POSTSCRIPT RIP for doing complicated conversions
/usr/bin/tiffcp	for converting compression schemes
/usr/bin/tiff2ps	for colorspace and/or image size conversions

BUGS
Conversions that require re-imaging and resizing may result in images that are poorly placed on the page.

There is no way to control how images are treated when they are resized; e.g. the original aspect ratio is not always maintained.

SEE ALSO
sendfax(1), faxq(8C), hylafax-server(5F)